//------------------------------ parseline.h ------------------------------

class Parseline {
friend class Relation;
public:
     Parseline (char *line);
     Parseline ();
     ~Parseline ();
     int size() { return numwords; }
     void set (char *line);
     char *word (int i) { return words[i]; }  // check for out of bounds?
     void setword (int i, char *newvalue);
	 void addword (char *newvalue);
     void makeline (char *result);
     void makeline (char *result, char *widths);

private:
     enum { MAXWORDLENGTH = 500, MAXWORDS = 100 };
     int numwords;
     char *words[MAXWORDS];
     int parse (char *line);
     void freeup ();
};
